Package es.imim.DISGENET.internal

# Class CustomLayout

java.lang.Object
org.cytoscape.view.layout.AbstractLayoutAlgorithm
es.imim.DISGENET.internal.CustomLayout

All Implemented Interfaces:
  `org.cytoscape.view.layout.CyLayoutAlgorithm`

public class CustomLayout extends org.cytoscape.view.layout.AbstractLayoutAlgorithm

## Field Summary

### Fields inherited from class org.cytoscape.view.layout.AbstractLayoutAlgorithm

`undoSupport`

### Fields inherited from interface org.cytoscape.view.layout.CyLayoutAlgorithm

`ALL_NODE_VIEWS`

## Constructor Summary

Constructors
Constructor
Description
`CustomLayout(org.cytoscape.work.undo.UndoSupport undo)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createLayoutContext()`
`org.cytoscape.work.TaskIterator`
`createTaskIterator(org.cytoscape.view.model.CyNetworkView networkView, Object context, Set<org.cytoscape.view.model.View<org.cytoscape.model.CyNode>> nodesToLayOut, String attrName)`

### Methods inherited from class org.cytoscape.view.layout.AbstractLayoutAlgorithm

`getDefaultLayoutContext, getName, getSupportedEdgeAttributeTypes, getSupportedNodeAttributeTypes, getSupportsSelectedOnly, isReady, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CustomLayout

public CustomLayout(org.cytoscape.work.undo.UndoSupport undo)

## Method Details

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator(org.cytoscape.view.model.CyNetworkView networkView, Object context, Set<org.cytoscape.view.model.View<org.cytoscape.model.CyNode>> nodesToLayOut, String attrName)

### createLayoutContext

public Object createLayoutContext()

Specified by:
  `createLayoutContext` in interface `org.cytoscape.view.layout.CyLayoutAlgorithm`
Overrides:
  `createLayoutContext` in class `org.cytoscape.view.layout.AbstractLayoutAlgorithm`